Trie::TrieNode Struct Reference
Collaboration diagram for Trie::TrieNode:
[legend]

## Public Attributes

std::shared_ptr< TrieNode > | character [ALPHABETS] {nullptr}
bool | isEndOfWord {false}

## Detailed Description

Structure of trie node. This struct doesn't need a constructor as we are initializing using intializer list which is more efficient than if we had done so with constructor.

The documentation for this struct was generated from the following file:

- data_structures/trie_modern.cpp